> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vertgroup.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Create



## OpenAPI

````yaml https://api.vertgroup.com.br/openapi.json post /sectors
openapi: 3.1.0
info:
  title: SGG Automation — DOM Med
  version: 1.0.0
servers: []
security: []
paths:
  /sectors:
    post:
      tags:
        - Sector
      summary: Create
      operationId: create_sectors_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSectorRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdentifierResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateSectorRequest:
      properties:
        name:
          type: string
          minLength: 1
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        color:
          $ref: '#/components/schemas/SectorColor'
      type: object
      required:
        - name
        - color
      title: CreateSectorRequest
    IdentifierResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Identificador unico do recurso recem-criado.
          examples:
            - 3fa85f64-5717-4562-b3fc-2c963f66afa6
      type: object
      required:
        - id
      title: IdentifierResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SectorColor:
      type: string
      enum:
        - '#ef4444'
        - '#f97316'
        - '#f59e0b'
        - '#eab308'
        - '#22c55e'
        - '#14b8a6'
        - '#06b6d4'
        - '#3b82f6'
        - '#a855f7'
        - '#6b7280'
      title: SectorColor
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````